#!/bin/bash

if [ "$1" == "" ]; then
  echo "Must specify serial port as only argument." >> /dev/stderr
  exit
fi

echo "Testing for wi_ther connection ..."
if ! esptool.py -p $1 -b 256000 read_mac > /dev/null; then
  echo "Could not connect to wi_ther on that port." >> /dev/stderr
  exit
fi


echo "Flashing wi_ther firwmare ..."
esptool.py -p $1 -b 256000 write_flash \
    0x00300000 wi_ther_sw.spiffs.bin \
    0x00000000 wi_ther_sw.ino.bin 
